"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_getPageConfig = require("../../common/libraries/getPageConfig.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-tabs",
  props: ["current", "list", "no_space_between"],
  emits: ["onChange"],
  setup(__props, { emit }) {
    const props = __props;
    const handleClick = (idx, e) => {
      emit("onChange", idx, e);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props == null ? void 0 : props.list, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: common_vendor.s(index === (props == null ? void 0 : props.current) ? common_vendor.unref(common_libraries_getPageConfig.getStyleBgInfo)() : ""),
            c: common_vendor.n(`label ${index === (props == null ? void 0 : props.current) ? "actives" : ""}`),
            d: `item_${index}`,
            e: common_vendor.o(($event) => handleClick(index, i), `item_${index}`)
          };
        }),
        b: common_vendor.s((props == null ? void 0 : props.no_space_between) ? {
          "margin-left": "30rpx"
        } : {
          flex: 1
        }),
        c: common_vendor.s((props == null ? void 0 : props.no_space_between) ? "" : {
          "justify-content": "space-between"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/components/hs-tabs/hs-tabs.vue"]]);
wx.createComponent(Component);
